Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 812538 - Review Request: herbstluftwm - Tiling window manager
Summary: Review Request: herbstluftwm - Tiling window manager
Keywords:
Status: CLOSED DUPLICATE of bug 1001407
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-04-14 16:03 UTC by Corey Richardson (:Octayn)
Modified: 2014-01-02 06:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-08 19:40:57 UTC


Attachments (Terms of Use)

Description Corey Richardson (:Octayn) 2012-04-14 16:03:48 UTC
Spec URL: http://octayn.net/herbstluftwm.spec
SRPM URL: http://octayn.net/herbstluftwm-0.3-1.fc16.src.rpm

Description:
herbstluftwm is a manual tiling window manager for X, meaning frames are
manually split into sub-frames, where windows can be placed. All
configuration is done using IPC, so it is language-agnostic. The included
herbstclient program provides a simple interface. Custom layouts are
possible. Rules and hooks allow great flexibility. herbstluftwm can also
float windows.

This is my first package and I need a sponsor.

Comment 1 Corey Richardson (:Octayn) 2012-04-17 18:10:43 UTC
Thanks to some input from 'tipps' I've cleaned up the spec a bit. Removed an unnecessary line and made the paths in %files consistent. The new spec is live, and the new SRPM is at http://octayn.net/herbstluftwm-0.3-2.fc16.src.rpm

Comment 2 Jason Tibbitts 2012-04-19 13:56:41 UTC
Taking a look at this.

Comment 3 Jason Tibbitts 2012-04-20 21:26:07 UTC
OK, this builds fine (on rawhide); rpmlint has only one complaint:

  herbstluftwm.x86_64: W: non-conffile-in-etc
   /etc/bash_completion.d/herbstclient-completion
This is fine; those files shouldn't be there, but that's not your fault.

The project makefile is annoying; it hides the actual compiler call (so we can't verify the compiler flags it is using), does not provide a verbose mode and inserts control sequences which look more like line noise in the build logs.  I had to build with a quick patch to get that done properly:

diff -up ./rules.mk.orig ./rules.mk
--- ./rules.mk.orig     2012-04-20 16:05:30.840050949 -0500
+++ ./rules.mk  2012-04-20 16:05:44.030637343 -0500
@@ -4,18 +4,14 @@ all: $(TARGET)
 rb: clean all
 
 $(TARGET): $(OBJ)
-       $(call colorecho,LD,$(TARGET))
-       @$(LD) -o $@ $(LDFLAGS)  $(OBJ) $(LIBS)
+       $(LD) -o $@ $(LDFLAGS)  $(OBJ) $(LIBS)
 
 $(SRCDIR)/%.o: $(SRCDIR)/%.c $(HEADER)
-       $(call colorecho,CC,$<)
-       @$(CC) -c $(CFLAGS) -o $@ $<
+       $(CC) -c $(CFLAGS) -o $@ $<
 
 clean:
-       $(call colorecho,RM,$(TARGET))
-       @rm -f $(TARGET)
-       $(call colorecho,RM,$(OBJ))
-       @rm -f $(OBJ)
+       rm -f $(TARGET)
+       rm -f $(OBJ)
 
 info:
        @echo Some Info:

and the result is that indeed, the package isn't built with the proper Fedora compiler flags.  Unfortunately the makefile doesn't allow you to pass your own, so I used the following in %prep:

sed -i -e 's/^CFLAGS =.*/CFLAGS = %{optflags} -std=c99 -pedantic ${INCS} -D _XOPEN_SOURCE=600/' config.mk

Still seems to build after that but you'll need to do some testing.

Comment 4 Jason Tibbitts 2012-05-09 18:49:37 UTC
Any progress here?  Is there anything I can assist with?  If something about the above is unclear, please let me know and I'll try to help.

Comment 5 Jason Tibbitts 2012-06-08 19:40:57 UTC
Well, it's been another month with no response, so I'll go ahead and close this out.

Comment 6 Christopher Meng 2014-01-02 06:13:36 UTC

*** This bug has been marked as a duplicate of bug 1001407 ***


Note You need to log in before you can comment on or make changes to this bug.